Subject: 26.1; smie-indent-forward-token forward-sexp in strings

From: Leo Liu <[email-masked]>
Date: Sat, 23 Jun 2018 21:22:32 +0800

smie-indent-forward-token appears unpredictable because sometimes it
errs with (scan-error "Unbalanced parentheses" 32 33) sometimes not.

I dug a bit deeper and found the following behaviour that might be
questionable.

For example, in a ruby-mode buffer with the following content, place
point inside the first "", and M-: (smie-indent-forward-token). Point
moves to the subsequent "" no matter how far away the second "" is.

-------- buffer content --------
"",
beg do
end
abc,
abc,
abc,
""
--------------------------------

Is this a bug?

Leo